Package org.opensaml.soap.wsaddressing.impl

# Class AbstractWSAddressingObjectBuilder<WSAddressingObjectType extends WSAddressingObject>

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<WSAddressingObjectType>
org.opensaml.soap.wsaddressing.impl.AbstractWSAddressingObjectBuilder<WSAddressingObjectType>

Type Parameters:
  `WSAddressingObjectType` - the type of WS-Addressing object to be built

All Implemented Interfaces:
  `XMLObjectBuilder<WSAddressingObjectType>`, `WSAddressingObjectBuilder<WSAddressingObjectType>`

Direct Known Subclasses:
  `ActionBuilder`, `AddressBuilder`, `EndpointReferenceBuilder`, `FaultToBuilder`, `FromBuilder`, `MessageIDBuilder`, `MetadataBuilder`, `ProblemActionBuilder`, `ProblemHeaderQNameBuilder`, `ProblemIRIBuilder`, `ReferenceParametersBuilder`, `RelatesToBuilder`, `ReplyToBuilder`, `RetryAfterBuilder`, `SoapActionBuilder`, `ToBuilder`

public abstract class AbstractWSAddressingObjectBuilder<WSAddressingObjectType extends WSAddressingObject> extends AbstractXMLObjectBuilder<WSAddressingObjectType> implements WSAddressingObjectBuilder<WSAddressingObjectType>
AbstractWSAddressObjectBuilder.

## Constructor Summary

Constructors
Constructor
Description
`AbstractWSAddressingObjectBuilder()`

## Method Summary

Modifier and Type
Method
Description
`abstract WSAddressingObjectType`
`buildObject()`
Builds a WS-Addressing object.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### AbstractWSAddressingObjectBuilder

public AbstractWSAddressingObjectBuilder()

## Method Details

### buildObject

@Nonnull public abstract WSAddressingObjectType buildObject()
Builds a WS-Addressing object.

Specified by:
  `buildObject` in interface `WSAddressingObjectBuilder<WSAddressingObjectType extends WSAddressingObject>`
Returns:
  the built object